Audit
/audit/actions
List audit actions with optional filters. Use entityId/entityType to find rows related to a specific entity.
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
limit?number
Default
100Range
1 <= value <= 250offset?integer
Default
0Range
0 <= value <= 9007199254740991startDate?string
endDate?string
actionType?string
entityId?string
entityType?string
Value in
"account" | "journalEntry" | "listingOwnershipPeriod" | "ownerStatement" | "recurringTransactionTemplate" | "reservation" | "tenant" | "transaction" | "transactionAttachment"includeIfNoEffects?boolean
page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/audit/actions"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"actionType": "string",
"rootEntityType": "string",
"rootEntityId": "ffcdb974-7dd1-4727-b1cd-39415010f491",
"message": "string",
"payload": null,
"userId": "string",
"actor": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"name": "string",
"email": "string"
},
"createdAt": "string",
"source": "string",
"apiVersion": "string",
"requestId": "string",
"traceId": "string",
"parentActionId": "12f46041-18d6-4f38-a710-58558c6996db",
"effectCounts": {
"total": 0,
"pending": 0,
"claimed": 0,
"running": 0,
"completed": 0,
"failed": 0,
"deadLetter": 0
}
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}